package com.ruoyi.system.service.impl;

import java.util.List;

import com.ruoyi.system.domain.dto.SysSecretProjectDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysSecretProjectMapper;
import com.ruoyi.system.domain.SysSecretProject;
import com.ruoyi.system.service.ISysSecretProjectService;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2023-11-21
 */
@Service
public class SysSecretProjectServiceImpl implements ISysSecretProjectService {
    @Autowired
    private SysSecretProjectMapper sysSecretProjectMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public SysSecretProjectDTO selectSysSecretProjectById(Long id) {
        return sysSecretProjectMapper.selectSysSecretProjectById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param sysSecretProjectDTO 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<SysSecretProjectDTO> selectSysSecretProjectList(SysSecretProjectDTO sysSecretProjectDTO) {
        return sysSecretProjectMapper.selectSysSecretProjectList(sysSecretProjectDTO);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param sysSecretProject 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertSysSecretProject(SysSecretProject sysSecretProject) {
        return sysSecretProjectMapper.insertSysSecretProject(sysSecretProject);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param sysSecretProject 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateSysSecretProject(SysSecretProject sysSecretProject) {
        return sysSecretProjectMapper.updateSysSecretProject(sysSecretProject);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteSysSecretProjectByIds(Long[] ids) {
        return sysSecretProjectMapper.deleteSysSecretProjectByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteSysSecretProjectById(Long id) {
        return sysSecretProjectMapper.deleteSysSecretProjectById(id);
    }
}
